Subject: bug#67008: 30.0.50; Multiple major mode parents

From: Stefan Monnier <[email-masked]>
Date: Fri, 17 Nov 2023 09:20:26 -0500

>> Garbage in, garbage out, eh?
> Indeed. Let's document the constraint on the argument and, if it's not
> too expensive, verify.

Duplicates in the input imply a cyclic dependency, so it immediately
fall into the case where the constraints can't be satisfied.

> Are the duplicates essential to proper functioning of `cl--class-allparents`
> and `derived-mode-all-parents`, or would they work just as well with some
> edge of the cycle removed instead?

They'd work as well.  It's just significantly more work for very
little benefit.

        Stefan